From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/attrs/
Date: Tue, 1 Aug 2017 18:52:41 +0000 (UTC) [thread overview]
Message-ID: <1501613482.fc1793cab7d8cb09e3ef4ffcbb230137f0e5a13b.dolsen@gentoo> (raw)
commit: fc1793cab7d8cb09e3ef4ffcbb230137f0e5a13b
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 1 18:08:57 2017 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue Aug 1 18:51:22 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc1793ca
dev-python/attrs: Version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.1
dev-python/attrs/Manifest | 1 +
dev-python/attrs/attrs-17.2.0.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/attrs/Manifest b/dev-python/attrs/Manifest
index 213b93e95ad..32a7c76099e 100644
--- a/dev-python/attrs/Manifest
+++ b/dev-python/attrs/Manifest
@@ -1 +1,2 @@
DIST attrs-16.3.0.tar.gz 57512 SHA256 80203177723e36f3bbe15aa8553da6e80d47bfe53647220ccaa9ad7a5e473ccc SHA512 1a91e6f27ecaf20c409c3abf88ffed5c6cfdbba8cff44637399b713271ff838a054f5859dd29440b2780d81b40673033e3f8e43dd491bece72e0a4f08c4ef688 WHIRLPOOL 85d53df74265b6db36171ad84c21321fd8f4b3c345ea65c46b627a25e586399c8cd7d3231417c7450ea9bb8237286434828f1c795759bdcf4d459f63555c8636
+DIST attrs-17.2.0.tar.gz 73733 SHA256 5d4d1b99f94d69338f485984127e4473b3ab9e20f43821b0e546cc3b2302fd11 SHA512 02243e59ff417deddb330e841d42c0f43d3bea4435f114d3a9a8f4c3bd424c2ef565c630d179db7b3687d22091bf6e619de661171248c0ff0a0e5ec5f9bf7e21 WHIRLPOOL 422abbabec76ca9932f071c5f8ca77afecbbbc08b0cc7e199588a945afe215aa9509922a667fd1a2da7e8fd79b8abd29c366c42c4dad2d538f2487729c4450bb
diff --git a/dev-python/attrs/attrs-17.2.0.ebuild b/dev-python/attrs/attrs-17.2.0.ebuild
new file mode 100644
index 00000000000..0ec24152354
--- /dev/null
+++ b/dev-python/attrs/attrs-17.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Attributes without boilerplate"
+HOMEPAGE="
+ https://github.com/hynek/attrs
+ https://attrs.readthedocs.org/
+ http://pypi.python.org/pypi/attrs"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ >=dev-python/hypothesis-3.6.0[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ py.test -v -v || die
+}
next reply other threads:[~2017-08-01 18:52 UTC|newest]
Thread overview: 122+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-01 18:52 Brian Dolbec [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 6:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/attrs/ Michał Górny
2025-02-15 11:30 Michał Górny
2025-02-15 9:53 Michał Górny
2025-02-15 8:54 Arthur Zamarin
2025-01-26 3:06 Michał Górny
2025-01-06 11:46 Michał Górny
2025-01-04 12:29 Michał Górny
2025-01-04 11:42 Sam James
2024-12-17 4:12 Michał Górny
2024-08-24 8:10 Sam James
2024-08-07 14:10 Michał Górny
2024-08-04 2:48 Michał Górny
2024-07-11 19:23 Michał Górny
2024-01-20 20:00 Michał Górny
2024-01-20 18:35 Arthur Zamarin
2023-12-31 17:21 Michał Górny
2023-05-24 8:19 Michał Górny
2023-05-23 16:08 Michał Górny
2023-05-23 15:42 Arthur Zamarin
2023-04-17 6:26 Michał Górny
2023-03-16 3:44 Michał Górny
2023-02-16 20:21 Michał Górny
2022-12-23 7:30 Arthur Zamarin
2022-10-20 23:34 Sam James
2022-08-30 16:51 Arthur Zamarin
2022-07-29 10:12 Arthur Zamarin
2022-06-10 6:54 Michał Górny
2022-05-09 20:38 Michał Górny
2022-05-09 15:01 Michał Górny
2022-04-14 18:41 Fabian Groffen
2022-02-03 21:34 Michał Górny
2022-02-03 21:10 Arthur Zamarin
2022-02-02 10:48 Sam James
2022-01-29 18:38 Arthur Zamarin
2022-01-29 18:38 Arthur Zamarin
2022-01-29 15:47 Sam James
2022-01-29 13:01 Arthur Zamarin
2022-01-29 10:04 Jakov Smolić
2022-01-29 9:18 Arthur Zamarin
2022-01-10 4:20 Joshua Kinard
2021-12-31 20:20 James Le Cuirot
2021-12-31 16:53 Matt Turner
2021-12-30 8:47 Sam James
2021-12-29 23:14 Michał Górny
2021-12-28 21:32 Arthur Zamarin
2021-12-28 19:27 Arthur Zamarin
2021-12-28 19:21 Arthur Zamarin
2021-12-28 9:03 Michał Górny
2021-06-05 21:01 Michał Górny
2021-05-07 10:33 Michał Górny
2021-05-06 8:49 Michał Górny
2021-05-05 17:05 Michał Górny
2020-12-15 11:05 Michał Górny
2020-12-15 6:37 Sam James
2020-12-15 6:28 Sam James
2020-12-06 23:45 Michał Górny
2020-12-06 23:45 Michał Górny
2020-12-06 23:25 Sam James
2020-11-28 8:27 Sam James
2020-11-05 12:41 Michał Górny
2020-09-19 7:21 Michał Górny
2020-09-19 0:12 Sam James
2020-09-19 0:11 Sam James
2020-09-05 10:46 Michał Górny
2020-08-21 2:47 Michał Górny
2020-06-15 2:35 Aaron Bauman
2020-05-25 16:16 Michał Górny
2020-02-23 8:29 Andreas Sturmlechner
2020-02-17 19:47 Sergei Trofimovich
2020-01-03 12:40 Agostino Sarubbo
2019-12-24 14:15 Mikle Kolyada
2019-12-24 8:08 Agostino Sarubbo
2019-12-20 12:51 Agostino Sarubbo
2019-12-20 12:30 Agostino Sarubbo
2019-12-20 12:13 Agostino Sarubbo
2019-12-20 11:42 Agostino Sarubbo
2019-12-17 1:25 Aaron Bauman
2019-12-16 12:21 Agostino Sarubbo
2019-11-16 11:02 Michał Górny
2019-11-15 9:00 Michał Górny
2019-11-15 9:00 Michał Górny
2019-07-06 8:43 Tim Harder
2019-04-11 5:37 Tim Harder
2019-03-10 21:38 Matt Turner
2019-03-02 23:21 Matt Turner
2019-02-17 18:04 Sergei Trofimovich
2019-02-04 20:16 Markus Meier
2019-02-03 9:12 Sergei Trofimovich
2019-01-30 16:04 Tobias Klausmann
2019-01-29 13:31 Mikle Kolyada
2019-01-17 17:00 Mikle Kolyada
2019-01-15 22:10 Thomas Deutschmann
2019-01-14 7:14 Sergei Trofimovich
2018-12-13 6:48 Tim Harder
2018-11-19 21:15 Fabian Groffen
2018-07-01 3:24 Tim Harder
2018-05-04 13:57 Mart Raudsepp
2018-03-27 23:15 Matt Turner
2018-03-24 22:37 Tim Harder
2018-03-24 22:37 Tim Harder
2018-03-13 19:52 Michał Górny
2018-02-24 3:21 Thomas Deutschmann
2018-02-17 21:51 Patrice Clement
2017-11-15 3:32 Tim Harder
2017-09-30 13:05 Tim Harder
2017-02-23 13:58 Michael Weber
2017-02-12 22:20 Zac Medico
2017-02-04 15:21 Agostino Sarubbo
2017-02-04 12:08 Jeroen Roovers
2017-01-25 14:16 Tobias Klausmann
2017-01-25 11:47 Tobias Klausmann
2017-01-24 11:46 Agostino Sarubbo
2017-01-23 16:27 Agostino Sarubbo
2017-01-23 5:56 Jeroen Roovers
2017-01-22 16:27 Agostino Sarubbo
2017-01-21 20:33 Agostino Sarubbo
2017-01-21 18:54 Agostino Sarubbo
2017-01-21 17:27 Agostino Sarubbo
2016-11-30 13:54 Lars Wendler
2016-02-19 9:45 Justin Lecher
2016-02-19 9:45 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1501613482.fc1793cab7d8cb09e3ef4ffcbb230137f0e5a13b.dolsen@gentoo \
--to=dolsen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox